Name:           nachocalendar
Version:        0.23
Release:        2
Summary:        A flexible Calendar component for the Java platform
License:        EPL
Group:          Development/Tools
Url:            http://nachocalendar.sourceforge.net/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-src-%{version}.tar.bz2

Requires:       java >= 0:1.4.2

BuildRequires:  ant
BuildRequires:        jpackage-utils >= 0:1.5
BuildArch:      noarch
Requires(post): jpackage-utils
Requires(postun): jpackage-utils

BuildRoot:        %{_tmppath}/%{name}-%{version}-buildroot

%description
A flexible Calendar component for the Java platform.

%package javadoc
Summary:        Javadoc for %{name}
Group:          Documentation
%description javadoc
Documentation for the nachocalendar widget

%prep
%setup -q
rm -f lib/*.jar

%build
ant jar javadoc

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p ${RPM_BUILD_ROOT}%{_javadocdir}/
cp -r doc ${RPM_BUILD_ROOT}%{_javadocdir}/%{name}-%{version}
mkdir -p $RPM_BUILD_ROOT%{_javadir}
cp -p lib/%{name}-%{version}.jar  $RPM_BUILD_ROOT%{_javadir}/
ln -s %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar
%add_to_maven_depmap net.sf.nachocalendar %{name} %{version} JPP %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%defattr(-,root,root,-)
%doc LICENSE.txt README.txt manual-0.23.pdf
%{_javadir}/*.jar
%{_mavendepmapfragdir}/%{name}

%files javadoc
%defattr(-,root,root,-)
%{_javadocdir}/%{name}-%{version}

%changelog
* Wed Nov  5 2008 Mary Ellen Foster <mefoster at gmail.com> - 0.23-2
- Fix cosmetic issues in spec file

* Tue Nov  4 2008 Mary Ellen Foster <mefoster at gmail.com> - 0.23-1
- Initial package
